Service providing access to Fundraising resources and features
Fundraising
/- Resend Receipt
Gets all of the gifts in the system.
Creates a new gift record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified contact_id
Returns a list of records with the specified donor_id
Generates an order from a fundraising gift
Returns a list of records with the specified master_gift_id
Migrate Donation Orders
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Returns a list of records with the specified pledge_id
Preview Gift Receipt
Get Public Giving Form Manifest
Resend Receipt
Returns a list of records with the specified recurring_gift_id
Resend Receipt
Searches for gifts using predefined parameters
List Donor Soft Credits
Returns a gift from the system by its ID.
Returns a gift from the system by its ID.
Partially updates a gift with the specified ID.
Updates a gift with the specified ID.
Resend Receipt
Fundraising (v1-2025-04-18)
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1
https://fundraising.api.rhythmsoftware.com
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/previewReceipt
- https://fundraising.api.rhythmsoftware.com/gifts/{tenantId}/previewReceipt
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/previewReceipt' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"destination_email_address": "string",
"email_template": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"gift_id": "string",
"pledge_id": "string"
}'Bodyapplication/jsonrequired
Payload for the gift
The rolodex contact id for the gift giver
One of:
The rolodex contact id for the gift giver
string(Contact)
If selected, the donor covers the transaction fees
The donor type for the gift
Enum"contact""organization"
The organization id associated with this gift
One of:
The organization id associated with this gift
string(Organization)
Enum"assigned""declined by donor""not applicable"
The amount of any premiums associated with the gift
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/process
- https://fundraising.api.rhythmsoftware.com/gifts/{tenantId}/process
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/process' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"donor_info": {},
"electronic_payment_info": {},
"gift_payload": {
"amount": 0.1,
"anonymous": true,
"appeal_id": "string",
"campaign_id": "string",
"contact_id": null,
"cover_transaction_costs": true,
"currency_code": "string",
"currency_symbol": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"donor_type": "contact",
"fund_id": "string",
"giving_process_id": "string",
"has_splits": true,
"make_recurring": true,
"notes": "string",
"organization_id": null,
"premium_assignment": "assigned",
"premium_fair_market_value": 0.1,
"premium_id": "string",
"recurring_frequency": "monthly",
"recurring_gift_end_date": "string",
"shipping_address": {
"city": "string",
"country": "string",
"country_name": "string",
"county": "string",
"latitude": 0.1,
"line1": "string",
"line2": "string",
"line3": "string",
"longitude": 0.1,
"postal_code": "string",
"state": "string",
"time_zone_id": "string"
},
"splits": [
{
"amount": 0.1,
"fund_id": "string"
}
],
"tribute_gift": true,
"tribute_gift_info": {
"address": {
"city": "string",
"country": "string",
"country_name": "string",
"county": "string",
"latitude": 0.1,
"line1": "string",
"line2": "string",
"line3": "string",
"longitude": 0.1,
"postal_code": "string",
"state": "string",
"time_zone_id": "string"
},
"contact_id": "string",
"details": "string",
"email_address": null,
"inform_honoree": true,
"inform_honoree_by": "email",
"message": null,
"name": "string",
"type": "in honor of"
}
}
}'Response
application/json
{ "executionArn": "string", "notification_channel": "string", "notification_publishKey": "string", "notification_subscribeKey": "string", "start_date": "2019-08-24T14:15:22Z" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/public/givingFormManifest
- https://fundraising.api.rhythmsoftware.com/gifts/{tenantId}/public/givingFormManifest
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/public/givingFormManifest?givingProcessId=string&campaignId=string&appealId=string'